L’équipe de Calendar qui publie Lightning, l’extension d’agenda pour Mozilla Thunderbird, a été obligée de publier une seconde version Release Candidate de Lightning 1.0 bêta 2 pour corriger le bogue 570464 et pour s’assurer que les bons fichiers de localisation soient utilisés. Cette version de test n’est toujours compatible qu’avec la version 3.1 de Thunderbird qui est sortie en version RC 2, il y a une semaine. Lightning 1.0 bêta 2 RC 2 est maintenant disponible en 33 langues dont le français (contre 46 pour Td 3.1 RC 2).

Philipp Kewisch donne quelques réponses sur des questions de compatibilité qui ont surgi à propos de Lightning 1.0 bêta 2 :

Quelle(s) version(s) de Thunderbird supportera Lightning 1.0b2 ?
Cette version de Lightning supportera uniquement Thunderbird 3.1. Pour entrer un peu plus dans les détails techniques, Lightning 1.0b2 et Thunderbird 3.1 utilisent la version 1.9.2 de la plateforme Mozilla. Les versions précédentes (Lightning 1.0b1 / Thunderbird 3.0.x) utilisent la version 1.9.1 de la plateforme Mozilla. Par conséquent, nous ne pouvons fournir de version de Lightning qui soit compatible avec Thunderbird 3.0.x.
Lightning 1.0b2 supportera-t-il SeaMonkey ?
Comme vous pouvez le voir dans ce billet de blog, SeaMonkey ne supportera pas la version 1.9.2 de la plateforme Mozilla. Donc, Lightning 1.0b2 ne pourra pas supporter SeaMonkey 2.0 ou 2.1. Notez cependant que la prochaine version de Lightning utilisera très probablement la plateforme 1.9.3 de Mozilla, ce qui signifie que la prochaine version (prévue pour dans environ 4 mois) sera compatible avec SeaMonkey 2.1. Jusque là, vous pouvez toujours utiliser Lightning 1.0b1 en même temps que SeaMonkey 2.0.x.
Quelle version du Provider for Google Calendar (Fournisseur pour Google Agenda) dois-je utiliser ?
Avec Lightning 1.0b2, je vais sortir une nouvelle version du Fournisseur pour Google Agenda. Cette version sera appelée 0.7 et sera disponible sur addons.mozilla.org en même temps que Lightning.

J’espère que cela donne un petit aperçu, si vous avez d’autres questions, veuillez commenter !

Il est conseillé de sauvegarder son profil avant d’essayer Thunderbird 3.1 RC 2 et Lightning 1.0 bêta 2 RC 2. Une compilation correspondante du Provider for Google Calendar est disponible au même endroit :

Télécharger le XPI de Lightning 1.0 bêta 2 RC 2

Vous pouvez toujours installer Lightning 1.0 bêta 1 compatible avec Thunderbird 3.0.4.

Sources

Calendar Weblog, Philipp Kewisch :